apiVersion: v1
kind: ConfigMap
metadata:
  name: {{ .Values.appName }}-config
  namespace: {{ .Values.namespace }}
data:
  decoder-backend-host: {{ .Values.apiHost }}

  postgres_db: "restappdb"
  postgres_user: "{{ .Values.postgres_user }}"
  postgres_password: "{{ .Values.postgres_password }}"

  aws_s3_endpoint: http://minio-local-service:9000
  aws_s3_accesskey: "{{ .Values.aws_s3_accesskey }}"
  aws_s3_secretkey: "{{ .Values.aws_s3_secretkey }}"
  spring_zipkin_base-url: "http://jaeger-local-service:9411"

  collector_zipkin_host_port: "9411"
  collector_otlp_enabled: "true"

  minio_root_user: "{{ .Values.minio_root_user }}"
  minio_root_password: "{{ .Values.minio_root_password }}"